# Interface methods for submodule: FastMarchingImageFilter
from typing import Union, Any
# additional imports
from .support.template_class import itkTemplate as _itkTemplate
from ._proxies import ImageToImageFilterProxy as _ImageToImageFilterProxy


# Interface methods for class: FastMarchingImageFilter
class FastMarchingImageFilterProxy(_ImageToImageFilterProxy):
	@staticmethod
	def New():
		""""""
		...

	def Clone(self):
		""""""
		...

	def GetNameOfClass(self):
		""""""
		...

	def SetOutsidePoints(self, points) -> None:
		""""""
		...

	def SetAlivePoints(self, points) -> None:
		""""""
		...

	def GetAlivePoints(self):
		""""""
		...

	def SetTrialPoints(self, points) -> None:
		""""""
		...

	def GetTrialPoints(self):
		""""""
		...

	def GetLabelImage(self):
		""""""
		...

	def SetSpeedConstant(self, value: float) -> None:
		""""""
		...

	def GetSpeedConstant(self) -> float:
		""""""
		...

	def SetNormalizationFactor(self, _arg: float) -> None:
		""""""
		...

	def GetNormalizationFactor(self) -> float:
		""""""
		...

	def SetStoppingValue(self, _arg: float) -> None:
		""""""
		...

	def GetStoppingValue(self) -> float:
		""""""
		...

	def SetCollectPoints(self, _arg: bool) -> None:
		""""""
		...

	def GetCollectPoints(self) -> bool:
		""""""
		...

	def CollectPointsOn(self) -> None:
		""""""
		...

	def CollectPointsOff(self) -> None:
		""""""
		...

	def GetProcessedPoints(self):
		""""""
		...

	def SetOutputSize(self, size: Sequence[int]) -> None:
		""""""
		...

	def GetOutputSize(self) -> Sequence[int]:
		""""""
		...

	def SetOutputRegion(self, _arg: ImageRegion) -> None:
		""""""
		...

	def GetOutputRegion(self) -> ImageRegion:
		""""""
		...

	def SetOutputSpacing(self, _arg: Sequence[float]) -> None:
		""""""
		...

	def GetOutputSpacing(self) -> Sequence[float]:
		""""""
		...

	def SetOutputDirection(self, _arg) -> None:
		""""""
		...

	def GetOutputDirection(self):
		""""""
		...

	def SetOutputOrigin(self, _arg: Sequence[float]) -> None:
		""""""
		...

	def GetOutputOrigin(self) -> Sequence[float]:
		""""""
		...

	def SetOverrideOutputInformation(self, _arg: bool) -> None:
		""""""
		...

	def GetOverrideOutputInformation(self) -> bool:
		""""""
		...

	def OverrideOutputInformationOn(self) -> None:
		""""""
		...

	def OverrideOutputInformationOff(self) -> None:
		""""""
		...

